from fastapi import APIRouter

from app.api.v1.endpoints import auth, users, cryptocurrencies, advertisements, orders, wallets

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(cryptocurrencies.router, prefix="/cryptocurrencies", tags=["cryptocurrencies"])
api_router.include_router(wallets.router, prefix="/wallets", tags=["wallets"])
api_router.include_router(advertisements.router, prefix="/advertisements", tags=["advertisements"])
api_router.include_router(orders.router, prefix="/orders", tags=["orders"])